cpw.mods.fml.common.registry

## Class LanguageRegistry

- java.lang.Object
- - cpw.mods.fml.common.registry.LanguageRegistry

-     public class LanguageRegistry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addName(Object objectToName, String name)`
    `void` | `addNameForObject(Object objectToName, String lang, String name)`
    `void` | `addStringLocalization(Properties langPackAdditions)`
    `void` | `addStringLocalization(Properties langPackAdditions, String lang)`
    `void` | `addStringLocalization(String key, String value)`
    `void` | `addStringLocalization(String key, String lang, String value)`
    `String` | `getStringLocalization(String key)`
    `String` | `getStringLocalization(String key, String lang)`
    `static LanguageRegistry` | `instance()`
    `void` | `loadLanguageTable(Map field_135032_a, String lang)`
    `void` | `loadLocalization(String localizationFile, String lang, boolean isXML)`
    `void` | `loadLocalization(URL localizationFile, String lang, boolean isXML)`
    `static void` | `reloadLanguageTable()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageRegistry

          public LanguageRegistry()

  - ### Method Detail

    - #### instance

          public static LanguageRegistry instance()

    - #### getStringLocalization

          public String getStringLocalization(String key)

    - #### getStringLocalization

          public String getStringLocalization(String key,
                                     String lang)

    - #### addStringLocalization

          public void addStringLocalization(String key,
                                   String value)

    - #### addStringLocalization

          public void addStringLocalization(String key,
                                   String lang,
                                   String value)

    - #### addStringLocalization

          public void addStringLocalization(Properties langPackAdditions)

    - #### addStringLocalization

          public void addStringLocalization(Properties langPackAdditions,
                                   String lang)

    - #### reloadLanguageTable

          public static void reloadLanguageTable()

    - #### addNameForObject

          public void addNameForObject(Object objectToName,
                              String lang,
                              String name)

    - #### addName

          public static void addName(Object objectToName,
                     String name)

    - #### loadLanguageTable

          public void loadLanguageTable(Map field_135032_a,
                               String lang)

    - #### loadLocalization

          public void loadLocalization(String localizationFile,
                              String lang,
                              boolean isXML)

    - #### loadLocalization

          public void loadLocalization(URL localizationFile,
                              String lang,
                              boolean isXML)